#
# spec file for package tunctl
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tunctl
Version:        1.5
Release:        28.3
Summary:        Create and remove virtual network interfaces
License:        GPL-2.0-or-later
Group:          System/Management
URL:            http://tunctl.sourceforge.net/
Source0:        http://sourceforge.net/projects/tunctl/files/tunctl/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-install-manpage-noexec.patch
BuildRequires:  docbook-utils-minimal
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
tunctl is a tool to set up and maintain persistent TUN/TAP network
interfaces, enabling user applications access to the wire side of a
virtual nework interface. Such interfaces is useful for connecting VPN
software, virtualization, emulation and a number of other similar
applications to the network stack.

tunctl originates from the User Mode Linux project.

%prep
%autosetup -p0

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -d -m 0755 %{buildroot}/%{_docdir}/%{name}/
install -m 0644 ChangeLog %{buildroot}/%{_docdir}/%{name}/

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%doc %{_mandir}/man8/%{name}.8*
%attr(0755,root,root) /usr/sbin/tunctl

%changelog
* Mon Feb 26 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patch
* Tue Sep 28 2021 Reinhard Max <max@suse.com>
- bsc#1191103: Move executable to /usr/sbin.
* Mon May 12 2014 tchvatal@suse.com
- Remove pointless commented lines.
* Fri Apr  5 2013 idonmez@suse.com
- Cleanup spec file
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Apr 18 2012 coolo@suse.com
- only buildrequire the minimal set of docbook-utils, we only need
  docbook2man
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Wed Feb 16 2011 pcerny@novell.com
- patch Makefile to install the manpage as not-executable
* Tue Nov 16 2010 mvyskocil@suse.cz
- use DESTDIR=%%%%buildroot on darix's advice
* Thu Nov 11 2010 mvyskocil@suse.cz
- fixes bnc#650468 - network tunnel scripts reference tunctl by wrong path
  * move tunctl binary to /sbin as is needed for boot
* Mon Aug  2 2010 mvyskocil@suse.cz
- fixes bnc#626582: tunctl has no manpage
- used the tunctl 1.5 sources from tunctl.sf.net:
  * man page from Debian
  * contains SUSE patches (so obsolete them here)
* Thu May 29 2008 mt@suse.de
- Fixed swapped -n and -p options in tunctl-tun-support.diff
* Mon Apr 14 2008 skh@suse.de
- update to uml_utilities_20070815
- adjusted uml-utilities-tunctl-tun-support.diff accordingly
* Wed Mar 12 2008 mt@suse.de
- Moved tunctl from uml-utilities into a separate package,
  adopted spec file and existing patches.
- Implemented support of point-to-point tun interface type
